<script lang="ts" setup>
import { storeToRefs } from 'pinia';
import {
  PhFacebookLogo,
  PhInstagramLogo,
  PhPinterestLogo,
  PhTwitterLogo,
} from '@phosphor-icons/vue';
import { useHead } from '#imports';
import { useOrgStore } from '~/stores';

const orgStore = useOrgStore();
const { org } = storeToRefs(orgStore);

useHead({
  title: 'Order successful',
});
</script>

<template>
  <div
    v-if="org"
    class="text-center flex flex-col justify-center items-center p-4 min-h-[500px]"
  >
    <h2>Thanks for your business!</h2>
    <p class="mt-3">You'll receive an email confirmation shortly.</p>
    <div v-if="org.brand" class="mt-12">
      <template
        v-if="
          org.brand.facebook || org.brand.instagram || org.brand.pinterest || org.brand.twitter
        "
      >
        <p>Until then, follow us on social media:</p>
        <div class="socials flex justify-center mt-1" aria-label="Social media links">
          <a
            v-if="org.brand.facebook"
            :href="org.brand.facebook"
            target="_blank"
            class="p-3 nav-item"
            aria-label="Facebook"
            ><PhFacebookLogo :size="24" aria-hidden="true"
          /></a>
          <a
            v-if="org.brand.instagram"
            :href="org.brand.instagram"
            target="_blank"
            class="p-3 nav-item"
            aria-label="Instagram"
            ><PhInstagramLogo :size="24" aria-hidden="true"
          /></a>
          <a
            v-if="org.brand.twitter"
            :href="org.brand.twitter"
            target="_blank"
            class="p-3 nav-item"
            aria-label="Twitter"
            ><PhTwitterLogo :size="24" aria-hidden="true"
          /></a>
          <a
            v-if="org.brand.pinterest"
            :href="org.brand.pinterest"
            target="_blank"
            class="p-3 nav-item"
            aria-label="Pinterest"
            ><PhPinterestLogo :size="24" aria-hidden="true"
          /></a>
        </div>
      </template>
    </div>
  </div>
</template>
